Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.exception
Class GenAsyncSignatureValidationConnectorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.businessconnector.genericasync.exception.GenAsyncBusinessConnectorException
                      be.ehealth.businessconnector.genericasync.exception.GenAsyncSignatureValidationConnectorException

All Implemented Interfaces:
  Serializable

    public class GenAsyncSignatureValidationConnectorException

extends GenAsyncBusinessConnectorException

Connector Exception for Generic Async Connector.

See Also:
  Serialized Form

Constructor Summary
`GenAsyncSignatureValidationConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue, Map<Object,SignatureVerificationResult> validationResult)` builder

Method Summary
`Map<Object,SignatureVerificationResult>` | `getSignatureValidationResult()`

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenAsyncSignatureValidationConnectorException

    public GenAsyncSignatureValidationConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue,
                                                         Map<Object,SignatureVerificationResult> validationResult)

  builder

  Parameters:
    `errorCodeValue` -
    `e` -
    `params` -

Method Detail

### getSignatureValidationResult

    public Map<Object,SignatureVerificationResult> getSignatureValidationResult()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.